Event Manager Get Latest Event

Event Manager Get Latest Event
The latest event that happened on the VirtualCenter server.

The latest event that happened on the VirtualCenter server.

Required privileges: System.View

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/EventManager/{moId}/latestEvent
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case EventManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "_typeName": "string",
    "key": 0,
    "chainId": 0,
    "createdTime": "string",
    "userName": "string",
    "datacenter": {
        "_typeName": "string",
        "name": "string",
        "datacenter": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    },
    "computeResource": {
        "_typeName": "string",
        "name": "string",
        "computeResource": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    },
    "host": {
        "_typeName": "string",
        "name": "string",
        "host": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    },
    "vm": {
        "_typeName": "string",
        "name": "string",
        "vm": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    },
    "ds": {
        "_typeName": "string",
        "name": "string",
        "datastore": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    },
    "net": {
        "_typeName": "string",
        "name": "string",
        "network": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    },
    "dvs": {
        "_typeName": "string",
        "name": "string",
        "dvs": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    },
    "tgw": {
        "_typeName": "string",
        "name": "string",
        "tgw": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    },
    "fullFormattedMessage": "string",
    "changeTag": "string",
    "auditId": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/EventManager/{moId}/latestEvent